from ispoof.objects import Pokemon, Raid
from ispoof.lists.playerhistory import PlayerHistory
from sqlalchemy.engine import Engine
from sqlalchemy.exc import ArgumentError


def initialize_database(engine: Engine):
    try:
        Pokemon.metadata.create_all(engine)
        Raid.metadata.create_all(engine)
        PlayerHistory.metadata.create_all(engine)
    except ArgumentError:
        print("Exception")
